## makedumpfile 1.5.9

=== Makefile ===
# makedumpfile

VERSION=1.5.9
DATE=28 Oct 2015

# Honour the environment variable CC
ifeq ($(strip $CC),)
CC	= gcc
endif

CFLAGS = -g -O2 -Wall -D_FILE_OFFSET_BITS=64 \
	  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE \
	  -DVERSION='"$(VERSION)"' -DRELEASE_DATE='"$(DATE)"'
CFLAGS_ARCH	= -g -O2 -Wall -D_FILE_OFFSET_BITS=64 \
		    -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
# LDFLAGS = -L/usr/local/lib -I/usr/local/include

HOST_ARCH := $(shell uname -m)
# Use TARGET as the target architecture if specified.
# Defaults to uname -m
ifeq ($(strip($TARGET)),)
TARGET := $(HOST_ARCH)
endif

ARCH := $(shell echo ${TARGET}  | sed -e s/i.86/x86/ -e s/sun4u/sparc64/ \
			       -e s/arm.*/arm/ -e s/sa110/arm/ \
			       -e s/s390x/s390/ -e s/parisc64/parisc/ \
			       -e s/ppc64/powerpc64/ -e s/ppc/powerpc32/)

CROSS :=
ifneq ($(TARGET), $(HOST_ARCH))
CROSS := -U__$(HOST_ARCH)__
endif

CFLAGS += -D__$(ARCH)__ $(CROSS)
CFLAGS_ARCH += -D__$(ARCH)__ $(CROSS)

ifeq ($(ARCH), powerpc64)
CFLAGS += -m64
CFLAGS_ARCH += -m64
endif

ifeq ($(ARCH), powerpc32)
CFLAGS += -m32
CFLAGS_ARCH += -m32
endif

SRC_BASE = makedumpfile.c makedumpfile.h diskdump_mod.h sadump_mod.h sadump_info.h
SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c cache.c
OBJ_PART=$(patsubst %.c,%.o,$(SRC_PART))
SRC_ARCH = arch/arm.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c
SRC_ARCH = arch/arm.c arch/arm64.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c
OBJ_ARCH=$(patsubst %.c,%.o,$(SRC_ARCH))

LIBS = -ldw -lbz2 -lebl -ldl -lelf -lz
ifneq ($(LINKTYPE), dynamic)
LIBS := -static $(LIBS)
endif

ifeq ($(USELZO), on)
LIBS := -llzo2 $(LIBS)
CFLAGS += -DUSELZO
endif

ifeq ($(USESNAPPY), on)
LIBS := -lsnappy $(LIBS)
CFLAGS += -DUSESNAPPY
endif

LIBS := -lpthread $(LIBS)

all: makedumpfile

$(OBJ_PART): $(SRC_PART)
	$(CC) $(CFLAGS) -c -o ./$@ $(VPATH)$(@:.o=.c)

$(OBJ_ARCH): $(SRC_ARCH)
	@mkdir -p $(@D)
	$(CC) $(CFLAGS_ARCH) -c -o ./$@ $(VPATH)$(@:.o=.c)

makedumpfile: $(SRC_BASE) $(OBJ_PART) $(OBJ_ARCH)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJ_PART) $(OBJ_ARCH) -rdynamic -o $@ $< $(LIBS)
	echo .TH MAKEDUMPFILE 8 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.8
	grep -v "^.TH MAKEDUMPFILE 8" $(VPATH)makedumpfile.8 >> temp.8
	mv temp.8 makedumpfile.8
	gzip -c ./makedumpfile.8 > ./makedumpfile.8.gz
	echo .TH MAKEDUMPFILE.CONF 5 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.5
	grep -v "^.TH MAKEDUMPFILE.CONF 5" $(VPATH)makedumpfile.conf.5 >> temp.5
	mv temp.5 makedumpfile.conf.5
	gzip -c ./makedumpfile.conf.5 > ./makedumpfile.conf.5.gz

eppic_makedumpfile.so: extension_eppic.c
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -rdynamic -o $@ extension_eppic.c -fPIC -leppic -ltinfo

clean:
	rm -f $(OBJ) $(OBJ_PART) $(OBJ_ARCH) makedumpfile makedumpfile.8.gz makedumpfile.conf.5.gz

install:
	install -m 755 -d ${DESTDIR}/usr/sbin ${DESTDIR}/usr/share/man/man5 ${DESTDIR}/usr/share/man/man8 ${DESTDIR}/etc
	install -m 755 -t ${DESTDIR}/usr/sbin makedumpfile $(VPATH)makedumpfile-R.pl
	install -m 644 -t ${DESTDIR}/usr/share/man/man8 makedumpfile.8.gz
	install -m 644 -t ${DESTDIR}/usr/share/man/man5 makedumpfile.conf.5.gz
	install -m 644 -D $(VPATH)makedumpfile.conf ${DESTDIR}/etc/makedumpfile.conf.sample
	mkdir -p ${DESTDIR}/usr/share/makedumpfile-${VERSION}/eppic_scripts
	install -m 644 -t ${DESTDIR}/usr/share/makedumpfile-${VERSION}/eppic_scripts/ $(VPATH)eppic_scripts/*

=== debian/changelog ===
makedumpfile (1:1.5.9-3~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Feb 2016 06:41:20 -0500

makedumpfile (1:1.5.9-3) sid; urgency=medium

  * debian/patches/0003-support-kernel-4.2.patch :
    Fix packaging AGAIN so the patch is correctly applied.
    Previous upload missed it somehow.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 09 Dec 2015 15:53:54 +0100

makedumpfile (1:1.5.9-2) sid; urgency=medium

  * debian/patches/0003-support-kernel-4.2.patch :
    Fix packaging error so the patch is correctly applied

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 07 Dec 2015 15:58:42 +0100

makedumpfile (1:1.5.9-1) sid; urgency=medium

  * New upstream version includes :
    o Parallel compression
     - Add the new option "--num-threads" to enable parallel compression
       for faster processing. This option intends parallel compression
       while --split intends parallel i/o, they try to solve different
       bottlenecks.

    o Change the way to choose the non-cyclic mode
     - Add the new option "--work-dir" to specify the directory used to
       store the bitmap. This is the alternative to the combination of
       --non-cyclic and TMPDIR.

    o Support new kernels
     - The supported kernel is updated to 4.2 in this version.

    Changelog:
    o New feature
        - [PATCH] Support ARM64. (by Pratyush Anand) 94d47d1
        - [PATCH 1/2] Enable compressed dump formats for Xen. (by Petr Tesarik) 349a0ed
        - [PATCH 2/2] Remove notes about ELF being the only available format for Xen dumps.
          (by Petr Tesarik) 5cab480
        - [PATCH v5 01/10] Add readpage_kdump_compressed_parallel. (by Qiao Nuohan) 5fab021
        - [PATCH v5 02/10] Add mappage_elf_parallel. (by Qiao Nuohan) edca232
        - [PATCH v5 03/10] Add readpage_elf_parallel. (by Qiao Nuohan) 7f15b41
        - [PATCH v5 04/10] Add read_pfn_parallel. (by Qiao Nuohan) a7243fe
        - [PATCH v5 05/10] Add function to initial bitmap for parallel use. (by Qiao Nuohan) 56a6bc4
        - [PATCH v5 06/10] Add filter_data_buffer_parallel. (by Qiao Nuohan) 2a7cb9f
        - [PATCH v5 07/10] Add write_kdump_pages_parallel to allow parallel process. (by Qiao Nuohan) c2595d9
        - [PATCH v5 08/10] Initial and free data used for parallel process. (by Qiao Nuohan) 4538848
        - [PATCH v5 09/10] Make makedumpfile available to read and compress pages parallelly.
          (by Qiao Nuohan) b265102
        - [PATCH v5 10/10] Add usage and manual about multiple threads process. (by Qiao Nuohan) b18a8a6

    o Bugfix
        - [PATCH] Correct vmap_area_list support for i386 and ppc32. (by Atsushi Kumagai) 4194d7b
        - [PATCH] Free pages aren't removed in non-cyclic mode. (by Atsushi Kumagai) d64cf7f
        - [PATCH v2] Fix a bug in generating incomplete kdump core. (by Zhou Wenjian) 9cee495
        - [PATCH] Remove the double free of sph. (by Chao Fan) 72dec41
        - [PATCH 1/2] sadump: Change bit order. (by HATAYAMA Daisuke) 5f15256
        - [PATCH 2/2] sadump: Perform explicit zero page filtering. (by HATAYAMA Daisuke) 19b3a91

    o Cleanup
        - [PATCH 01/13] Organize bitmap structure for cyclic logic. (by Atsushi Kumagai) 5fc24bf
        - [PATCH 02/13] Add option to specify working directory for the bitmap. (by Atsushi Kumagai) 5c5a8b8
        - [PATCH 03/13] Integrate the entry point of is_dumpable(). (by Atsushi Kumagai) 5c8c680
        - [PATCH 04/13] Integrate the main logic of writing kdump file. (by Atsushi Kumagai) d18796d
        - [PATCH 05/13] Communalize the function for creating 1st bitmap. (by Atsushi Kumagai) b00a7b0
        - [PATCH 06/13] Remove the old logic of writing kdump pages. (by Atsushi Kumagai) 4d55542
        - [PATCH 07/13] Integrate filtering process for ELF path. (by Atsushi Kumagai) 679a818
        - [PATCH 08/13] Remove the old logic of writing ELF pages. (by Atsushi Kumagai) 672354b
        - [PATCH 09/13] Adjust --mem-usage path to the new code. (by Atsushi Kumagai) 57153b0
        - [PATCH 10/13] Adjust --split/--reassemble path to the new code. (by Atsushi Kumagai) 95435de
        - [PATCH 11/13] Adjust refiltering path to the new code. (by Atsushi Kumagai) c7fb41c
        - [PATCH 12/13] Adjust sadump path to the new code. (by Atsushi Kumagai) edd2bf2
        - [PATCH 13/13] Remove --non-cyclic option. (by Atsushi Kumagai) a117ae9
        - [PATCH] Optimise the function reserve_diskspace. (by Zhou Wenjian) 3605073
        - [PATCH v2] Add description of pages lost by ENOSPACE in IMPLEMENTATION. (by Zhou Wenjian) 0e20f33
        - [PATCH 1/2] Enable compressed dump formats for Xen. (by Petr Tesarik) 349a0ed
        - [PATCH 2/2] Remove notes about ELF being the only available format for Xen dumps.
          (by Petr Tesarik) 5cab480
        - [PATCH v2] Code changes to satisfy the coverity scan. (by Chao Fan) 0c65e38
        - [PATCH] Improve performance for parallel compression with zlib. (by Atsushi Kumagai) 3ef6629

  * Debian specific enhancements :

    - kdump-tools now make use of smaller initrd.img files created in
    /var/lib/kdump. This avoid optential OOM when the size of the initrd.img
    becomes larger (LP: #1496317).  Implementation details are :

      o New kernel hooks are added to create smaller initrd.img files when new
        kernel packages are installed :
          /etc/kernel/postrm.d/kdump-tools
          /etc/kernel/postinst.d/kdump-tools

      o kdump-config is responsible for the maintenance of symbolic links used
        to point to the appropriate vmlinuz & initrd files. Link maintenance
        is done at each boot by kdump-config. New links will point to the
        files named after the running kernel.

      o The KDUMP_KERNEL and KDUMP_INITRD configuration variables are now
        now enabled and use the symbolic links :
          /var/lib/kdump/vmlinuz
          /var/lib/kdump/initrd.img



=== debian/control ===
Source: makedumpfile
Section: devel
Priority: optional
Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1),
                libbz2-dev, dh-systemd (>=1.5), po-debconf
Vcs-Git: git://git.debian.org/collab-maint/makedumpfile.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/makedumpfile.git;a=summary

Package: makedumpfile
Architecture: i386 amd64 powerpc ia64 lpia x32 armel armhf ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: crash, kexec-tools
Replaces: kdump-tools (<< 1.3.4-1~)
Description: VMcore extraction tool
 This program is used to extract a subset of the memory available either
 via /dev/mem or /proc/vmcore (for crashdumps). It is used to get memory
 images without extra uneeded information (zero pages, userspace programs,
 etc).

Package: kdump-tools
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, makedumpfile, kexec-tools, debconf
Description: scripts and tools for automating kdump (Linux crash dumps)
 kdump-tools provides an init script and a configuration script for
 automating the use of kdump.  It uses the makedumpfile utility to
 reduce the size of the /proc/vmcore file based on user preferences.
 .
 After installing, please see /usr/share/doc/kdump-tools/README.Debian
 for information on enabling and configuring kdump.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=systemd

override_dh_auto_build:
	dh_auto_build -- LINKTYPE=dynamic

override_dh_installinit:
	# Start right after syslog is available, and don't bother stopping
	# (which just unloads the kdump kernel) so that we can catch crashes
	# all the way until actual shutdown.
	dh_installinit -pkdump-tools -- start 11 2 3 4 5 .

override_dh_install:
	dh_install
	install -D -m 755 debian/kernel-postinst-generate-initrd debian/kdump-tools/etc/kernel/postinst.d/kdump-tools
	install -D -m 755 debian/kernel-postrm-delete-initrd debian/kdump-tools/etc/kernel/postrm.d/kdump-tools

## makedumpfile 1.6.0

=== debian/changelog ===
makedumpfile (1:1.6.0-2ubuntu1) yakkety; urgency=medium

  * Build on arm64. LP: #1238110.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Oct 2016 11:44:32 +0200

makedumpfile (1:1.6.0-2) sid; urgency=medium

  * define_stampdir() : Loop on hostname -I for 5 sec to get IP address
    if HOSTTAG=ip. The network stack may not be ready when kdump-config runs.
    Give it some time before reverting HOSTTAG to hostname if an IP address
    cannot be found. (LP: #1599561)

  * debian/rules : drop the dh_installinit override
    Uses a syntax which is no longer supported and generate an error on
    install. (LP: #1599491)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 15 Jul 2016 17:25:33 +0200

makedumpfile (1:1.6.0-1) sid; urgency=medium

  * New upstream version includes :
    o Exclude page structures of non-dumped pages
     - Add the new option "-e" to exclude the page structures which correspond
       to excluded pages. This option will bring a great performance, but it
       will harm analyticity a little bit. Please see the note below:

       NOTE: If you specify this option, crash will show the message below
             and the 'kmem' command will not work.

           This dumpfile is incomplete because the page structures associated
           with excluded pages may also be excluded.  This may cause the crash
           session to fail entirely, may cause commands to fail (most notably
           the "kmem" command), or may result in unpredictable runtime behavior.

       Now this option supports only x86_64.

    o Support new kernels
     - The supported kernel is updated to 4.5 in this version.

    Changelog:
    o New feature
        - [PATCH V7] Exclude page structures of non-dumped pages. (by Cliff Wickman) 46176a9
        - [PATCH 1/4] ARM64: Refactor code to support multiple page level. (by Pratyush Anand) 28a4729
        - [PATCH 2/4] ARM64: Decide VA Bits on the basis of _stext symbol value. (by Pratyush Anand) a93301d
        - [PATCH 3/4] ARM64: Fix KVBASE. (by Pratyush Anand) ec85257
        - [PATCH 4/4] ARM64: Fix for ARM64 3 level translation tables. (by Sameer Goel) c92a63d

    o Bugfix
        - [PATCH] Fix bitmap buffer release code. (by Atsushi Kumagai) 7556e69
        - [PATCH 1/3] Keep segment memory size when re-filtering ELF dumps (by Petr Tesarik) 606fe8c
        - [PATCH 2/3] Mark unstored ELF pages as filtered (by Petr Tesarik) 1cdabcd
        - [PATCH 3/3] Rewrite readpage_elf (by Petr Tesarik) 7a7cebc
        - [PATCH] Looking for page.compound_order/compound_dtor to exclude hugepages
          (by Atsushi Kumagai) 5bc1f52
        - [PATCH] Skip examining compound tail pages (by Atsushi Kumagai) 13b4233
        - [PATCH] arm64: fix two level pmd calculation (by Pratyush Anand) 6759c72
        - [PATCH] Fix module core base and size offset for kernel v4.5 (by Pratyush Anand) fa6a75a
        - [PATCH] Fix deleted macro by mistake for ia64 (by Atsushi Kumagai) cfe652e
        - [PATCH] Fix boundary value bug for checking memory holes (by Atsushi Kumagai) 11a6dae
        - [PATCH] Skip null entries to walk page tables correctly (by Atsushi Kumagai) ecf7a13
        - [PATCH] Fix read data corruption for multi thread feature. (by Atsushi Kumagai) ae848e8

    o Cleanup
        - [PATCH] Remove useless definitions of return value. (by Atsushi Kumagai) 3d32567
        - [PATCH] Clean up the in-accurate message printing about mmap (by Baoquan He) 2b8c001
        - [PATCH v8] Improve the performance of --num-threads -d 31 (by Zhou Wenjian) dfa2447
        - [PATCH] Fix compilation warning (by Pratyush Anand) 7dda810
        - [PATCH] Fix compilation warnings for x86_64 (by Atsushi Kumagai) 27b5fb5
        - [PATCH] Fix man page to add -p option (by Atsushi Kumagai) e444aad
        - [PATCH] Fix compilation warning (by Andrey Skvortsov) 484c6b1

  * Debian specific enhancements :
    [kdump-tools] Add missing unit to crashkernel parameter
    [d/p/0001-Remove-libebl-linkage.patch] Adapt to new upstream vers.

  * Debian specific modifications dropped :
    d/p/0003-support-kernel-4.2.patch] Fixed upstream

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 10 Jun 2016 11:33:13 +0200

makedumpfile (1:1.5.9-7) sid; urgency=medium

  * [d/rules] Lower kexec-tools dependency to -2
      The ubuntu merge will happen on an 1:2.0.10-2 version so it cannot 
      depends on -3.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 31 May 2016 14:36:07 +0200

makedumpfile (1:1.5.9-6) sid; urgency=medium

  * [ Juerg Haefliger <juerg.haefliger@hp.com> ]

    Limit the number of dumps kept on the local machine

    Introduce a new config variable KDUMP_NUM_DUMPS that specifies how
    many dumps should be kept on the machine. This can be use to prevent
    running out of disk space. It is ignored if remote dumping (ssh or nfs)
    is enabled. If there are too many dump files, older dumps are purged but
    only after the current dump operation succeeded.

  * [ Linn Crosetto <linn@hp.com> ]

    kdump-config: add support for UEFI Secure Boot

    kdump-config needs to query the state of UEFI Secure Boot in order to correctly
    use kexec to boot the crash kernel. Specifically, kexec needs the "-s" option
    to use the kexec_file_load system call to validate the image before loading it.
    (Closes: #823003)

  * [Hari Bathini <hbathini@linux.vnet.ibm.com>]

    Fix networked kdump failure to reach remote server. Avoids
    "Network is unreachable" message when trying to do remote dumps on either
    SSH or NFS. (LP: #1571590)

  * Add support for architecture-specific crashkernel param

    On Debian, the crashkernel boot parameter is left undefined. On Ubuntu
    it was defined in the kexec-tools package, modified specifically.

    This parameter is now defined by the kdump-tools package and uses an
    architecture-specific file containing the definition. A generic symlink
    called /etc/default/grub.d/kdump-tools.cfg points to the architecture


=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 7.0.50), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1),
-                libbz2-dev, dh-systemd (>=1.5), po-debconf
+                libbz2-dev, liblzo2-dev, dh-systemd (>=1.5), po-debconf
 Vcs-Git: git://git.debian.org/collab-maint/makedumpfile.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/makedumpfile.git;a=summary
 
 Package: makedumpfile
-Architecture: i386 amd64 powerpc ia64 lpia x32 armel armhf ppc64el
+Architecture: i386 amd64 powerpc ia64 x32 arm64 armel armhf ppc64el s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Recommends: crash, kexec-tools
 Replaces: kdump-tools (<< 1.3.4-1~)
@@ -21,7 +21,8 @@
 
 Package: kdump-tools
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, makedumpfile, kexec-tools, debconf
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, makedumpfile,
+         debconf, bsdmainutils
 Description: scripts and tools for automating kdump (Linux crash dumps)
  kdump-tools provides an init script and a configuration script for
  automating the use of kdump.  It uses the makedumpfile utility to

## makedumpfile 1.6.1

=== debian/changelog ===
makedumpfile (1:1.6.1-2) sid; urgency=medium

  * d/kernel-postinst-generate-initrd : Add scsi_dh_* modules if in
    use so the system can dump a crash when root is on multipath
    (LP: #1635597) (Closes: 862411)

  [ dann frazier ]
  * Select appropriate /etc/default/grub.d/kdump-tools.cfg at build time.
    A side-effect of this is that kdump-tools is no longer Arch: all.
    (Closes: #863858)

 -- Louis Bouchard <louis@ubuntu.com>  Wed, 16 Aug 2017 16:10:01 +0200

makedumpfile (1:1.6.1-1) sid; urgency=medium

  * New upstream release. Main new feature:
    o Support new kernels
     - The supported kernel is updated to 4.8 in this version.

  * Changelog:
    o New feature
        - [PATCH v2] Support _count -> _refcount rename in struct page (by Vitaly
          Kuznetsov) ed46b6a
        - [PATCH 1/8] ppc64: fix vtop page translation for 4K pages (by Hari
          Bathini) cf02f88
        - [PATCH 2/8] ppc64: Use kernel terminology for each level in 4-level page
          table (by Hari Bathini) 37abbe1
        - [PATCH 3/8] ppc64: address changes in kernel v4.5 (by Hari Bathini)
          bc86b61
        - [PATCH 4/8] ppc64: address change in _PAGE_PRESNT flag for PowerISA v3.0
          (by Hari Bathini) 3003fbe
        - [PATCH 5/8] ppc64: use physical addresses and unfold pud for 64K page
          size (by Hari Bathini) afe7f9f
        - [PATCH 6/8] ppc64: support big endian Linux page tables (by Hari
          Bathini) f3d7cc5
        - [PATCH 7/8] ppc64: use the same masked bit values for 4K and 64K
          pagesizes (by Hari Bathini) 398746a
        - [PATCH 8/8] ppc64: enable address translation support for radix mmu (by
          Hari Bathini) ed65d60
        - [PATCH 01/10] arm64: cleanup code, comment, blank space, blank lines etc
          (by Pratyush Anand) c42c582
        - [PATCH 02/10] read_vmcoreinfo_long: Allow to read hex values as well (by
          Pratyush Anand) b01fa28
        - [PATCH 03/10] Introduce read_vmcoreinfo_ulong() (by Pratyush Anand)
          edc314e
        - [PATCH 04/10] arm64: use already available PAGESIZE() and PAGESHIFT()
          macros (by Pratyush Anand) 48581a7
        - [PATCH 05/10] arm64: fix page_offset definition (by Pratyush Anand)
          a4335c6
        - [PATCH 06/10] arm64: fix re-filtering (by Pratyush Anand) 618b76c
        - [PATCH 07/10] arm64: use value of VA_BITS and PHYS_OFFSET embedded into
          vmcore (by Pratyush Anand) 74df822
        - [PATCH 08/10] arm64: immunize identity mapped address finding w.r.t.
          kernel changes (by Pratyush Anand) a84f726
        - [PATCH 09/10] arm64: Add support for 4level 4K page translations table
          (by Azriel Samson) 969ee30
        - [PATCH 10/10] arm64: fix memory layout as per changes in v4.6 kernel (by
          Pratyush Anand) b6fe70c

    o Bugfix
        - [PATCH 1/2] sadump: fix segmentation fault on sadump-related formats (by
          HATAYAMA Daisuke) 0ba14bc
        - [PATCH 2/2] sadump: fix wrong progress report on sadump formats (by
          HATAYAMA Daisuke) d5d268b
        - [PATCH] Fix module init base and size offset for kernel v4.5 (by
          Guenther Hutzl) 32dd468
        - [PATCH] Fix uninitialized file descriptors for parallel dump (by Atsushi
          Kumagai) 1474dd4
        - [PATCH] x86_64: Set zero to phys_base for the kernel older than 2.6.22
          (by Atsushi Kumagai) 114060b

    o Cleanup
        - [PATCH] Add more descriptions of multi-threads feature (by Zhou Wenjian)
          2af8d6a
        - [PATCH v2] Cleanup: Use a negative number for uninitialized file
          descriptors (by Petr Tesarik) 8b8fa9f
        - [PATCH v3 1/3] open_dump_bitmap: open bitmap file in non-cyclic case (by
          Martin Wilck) a8d8657
        - [PATCH v3 2/3] move call to open_dump_bitmap() to after call to
          initial() (by Martin Wilck) 3696c40
        - [PATCH v3 3/3] close_dump_bitmap: simplify logic (by Martin Wilck)
          c1c53f8
        - [PATCH v2 1/2] Adapt code to get value of phys_base (by Baoquan He)
          acdbb1d
        - [PATCH V2 1/4] x86_64: Calculate page_offset from pt_load (by Pratyush
          Anand) 0c9dd01
        - [PATCH V2 2/4] x86_64: translate all VA to PA using page table values
          (by Pratyush Anand) c41e33c
        - [PATCH V2 3/4] x86_64: kill is_vmalloc_addr_x86_64() (by Pratyush Anand)
          8419f4d
        - [PATCH V2 4/4] x86_64: kill some unused initialization (by Pratyush
          Anand) ecb3719
        - [PATCH v2 2/2] Clean up unused KERNEL_IMAGE_SIZE (by Atsushi Kumagai)
          0068010

  * Debian specific changes :
    - d/control:
      Update Vcs-Git field to new URL
      Add lsb-base dependency to kdump-tools to avoid lintian error
    - Fix Readme.Debian :
      Replace nmi_watchdog=1 to nmi_watchdog=panic for x86 and x86_64 arch
      (Closes: 824094)
      Mention Magic SysRq key (Closes: 793753)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 05 Jan 2017 11:07:16 +0100

makedumpfile (1:1.6.0-4) unstable; urgency=medium

  * Turn hardcoded timeo and retrans NFS options into parameters that
    can be modified in /etc/default/kdump-tools. Also use the NFS defaults
    (timeo=600, retrans=3) for these parameters. Make those values visible
    in the 'show' command if NFS is configured (Closes: 847920)

  * Add translation file for :
    [ Chris Leick <c.leick@vollbio.de> ]
    - German (Closes: 842494)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 12 Dec 2016 12:32:29 +0100

makedumpfile (1:1.6.0-3) sid; urgency=medium

  * d/p/0003-PATCH-v2-Support-_count-_refcount-rename-in-struct-p.patch,
    d/p/0004-fix-readpage_elf-attempt-to-read-non-existent-page.patch
    Fix makedumpfile failure on 4.8 kernels.
     - Makedumpfile will exit on error with the following message :
       get_mem_map: Can't distinguish the memory type. (LP: #1626269)
     - Fix readpage_elf: Attempt to read non-existent page errors after


=== debian/control ===
Source: makedumpfile
Section: devel
Priority: optional
Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1),
                libbz2-dev, liblzo2-dev, dh-systemd (>=1.5), po-debconf
Vcs-Git: git://anonscm.debian.org/collab-maint/makedumpfile.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/makedumpfile.git

Package: makedumpfile
Architecture: i386 amd64 powerpc ia64 x32 arm64 armel armhf ppc64el s390x
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: crash, kexec-tools
Replaces: kdump-tools (<< 1.3.4-1~)
Description: VMcore extraction tool
 This program is used to extract a subset of the memory available either
 via /dev/mem or /proc/vmcore (for crashdumps). It is used to get memory
 images without extra unneeded information (zero pages, userspace programs,
 etc).

Package: kdump-tools
Architecture: i386 amd64 powerpc ia64 x32 arm64 armel armhf ppc64el s390x
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, makedumpfile,
         debconf, bsdmainutils, lsb-base (>= 3.0-6)
Description: scripts and tools for automating kdump (Linux crash dumps)
 kdump-tools provides an init script and a configuration script for
 automating the use of kdump.  It uses the makedumpfile utility to
 reduce the size of the /proc/vmcore file based on user preferences.
 .
 After installing, please see /usr/share/doc/kdump-tools/README.Debian
 for information on enabling and configuring kdump.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	SUBSTVARS = -Vdist:Depends="kexec-tools (>= 1:2.0.10-2)"
else
	SUBSTVARS = -Vdist:Depends="kexec-tools"
endif

%:
	dh $@ --with=systemd

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

override_dh_auto_build:
	dh_auto_build -- LINKTYPE=dynamic USELZO=on

override_dh_install:
	dh_install
	install -D -m 755 debian/kernel-postinst-generate-initrd debian/kdump-tools/etc/kernel/postinst.d/kdump-tools
	install -D -m 755 debian/kernel-postrm-delete-initrd debian/kdump-tools/etc/kernel/postrm.d/kdump-tools
	[ ! -f debian/kdump-tools.grub.$(DEB_HOST_ARCH) ] || \
		install -D -m 644 debian/kdump-tools.grub.$(DEB_HOST_ARCH) debian/kdump-tools/etc/default/grub.d/kdump-tools.cfg
	[ -f debian/kdump-tools.grub.$(DEB_HOST_ARCH) ] || \
		install -D -m 644 debian/kdump-tools.grub.default debian/kdump-tools/etc/default/grub.d/kdump-tools.cfg

override_dh_installdeb:
	rm -f debian/kdump-tools.maintscript
	[ ! -f debian/kdump-tools.maintscript.$(DEB_HOST_ARCH) ] || \
		ln -s kdump-tools.maintscript.$(DEB_HOST_ARCH) \
		debian/kdump-tools.maintscript
	[ -h debian/kdump-tools.maintscript ] || \
		ln -s kdump-tools.maintscript.default \
		debian/kdump-tools.maintscript
	dh_installdeb

override_dh_auto_clean:
	rm -f debian/kdump-tools.maintscript
	dh_auto_clean

## makedumpfile 1.6.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.5.9
-DATE=28 Oct 2015
+VERSION=1.6.3
+DATE=29 Jun 2018
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -48,8 +48,7 @@
 SRC_BASE = makedumpfile.c makedumpfile.h diskdump_mod.h sadump_mod.h sadump_info.h
 SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c cache.c
 OBJ_PART=$(patsubst %.c,%.o,$(SRC_PART))
-SRC_ARCH = arch/arm.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c
-SRC_ARCH = arch/arm.c arch/arm64.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c
+SRC_ARCH = arch/arm.c arch/arm64.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c arch/sparc64.c
 OBJ_ARCH=$(patsubst %.c,%.o,$(SRC_ARCH))
 
 LIBS = -ldw -lbz2 -lebl -ldl -lelf -lz

=== debian/changelog ===
makedumpfile (1:1.6.3-2~16.04.3) xenial; urgency=medium

  * d/p/0004-align_PMD_SECTION_MASK_with_PHYS_MASK.patch (LP: #1869465)
    Fix error on arm64 with 1TB+ of physical or firmware-mapped RAM.

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Thu, 04 Jun 2020 15:28:39 +0100

makedumpfile (1:1.6.3-2~16.04.2) xenial; urgency=medium

  * Let the kernel decide the crashkernel offset for ppc64el (LP: #1741860)
  * Reload kdump after memory/CPU hotplug. (LP: #1655280)
  * Use a different service for vmcore dump. (LP: #1811692)
  * Reload kdump when CPU is brought online. (LP: #1828596)
  * Add a reload command. (LP: #1828596)
  * kdump-config: implement try-reload (LP: #1828596)
  * udev: hotplug: use try-reload (LP: #1828596)
  * Use reset_devices as a cmdline parameter. (LP: #1800566)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 18 Dec 2019 16:06:16 -0300

makedumpfile (1:1.6.3-2~16.04.1) xenial; urgency=medium

  * Backport latest makedumpfile to xenial. (LP: #1746299)
  * Revert to build-depending on dh-systemd, as xenial does not have
    debhelper >= 9.20160709.

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 21 May 2018 11:02:15 -0300

makedumpfile (1:1.6.3-2) unstable; urgency=medium

  * Add support for SPARSEMEM_EXTREME mem_section as a pointer. (LP: #1750021)
  * Add an autopkgtest that test that a crash produces a compressed dump
    file.
  * Create initrd for previously installed kernels. (LP: #1751329)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Mon, 05 Mar 2018 09:28:55 -0300

makedumpfile (1:1.6.3-1) unstable; urgency=medium

  * New upstream release. Main new feature:
    o Support new kernels
     - The supported kernel is updated to 4.14.8 in this version. (LP: #1746299)
       4.14.9 and later can't be filtered correctly due to inappropriate VMCOREINFO,
       it will be resolved in kernel 4.15.

  * Changelog:
    o New feature
        - [PATCH v2] x86_64: Take care of init_level4_pgt rename in kernel (by Pratyush Anand) 64bd5db
        - [PATCH v2] Fix SECTION_MAP_MASK for kernel >= v.13 (by Pratyush Anand) 4bf4f2b
        - [PATCH v2] book3s/ppc64: Lower the max real address to 53 bits for kernels >= v4.11
          (by Bhupesh Sharma) 6c83e74
        - [PATCH v3 1/4] Support symbol __cpu_online_mask (by Takao Indoh) 3b11c00
        - [PATCH] ppc64: update hash page table geometry (by Hari Bathini) 3c39f13
        - [PATCH] handle renamed init_level4_pgt -> init_top_pgt (by Jeff Mahoney) 5e54d53

    o Bugfix
        - [PATCH v2] arm64: Fix page table walk of 1GB section (by Bradley Bolen) 27508f1
        - [PATCH v2 1/2] ppc64: set page_offset in get_versiondep_info_ppc64() (by Pingfan Liu) 52319d2
        - [PATCH v2 2/2] ppc64: get the info of mem reserved for crashkernel (by Pingfan Liu) c7fcbbc
        - [PATCH v3 3/4] sadump: Fix a KASLR problem of sadump (by Takao Indoh) b4f7d95
        - [PATCH v3 4/4] sadump: Fix a KASLR problem of sadump while kdump is working (by Takao Indoh) 13d3059
        - [PATCH 2/2] Fix 'kernel_version' variable being uninitialized & introduce minor reorganization
          (by Bhupesh Sharma) d1ffe82
        - [PATCH 1/2] Fix off-by-one errors in exclude_segment() (by Petr Tesarik) 590f35e
        - [PATCH 2/2] Fix physical-to-virtual conversion in exclude_segment() (by Petr Tesarik) 6c1bf2a

    o Cleanup
        - [PATCH] Fix formatting problems in header file (by Eric DeVolder) cefea9e
        - [PATCH v3 2/4] Introduce vtop4_x86_64_pagetable (by Takao Indoh) 6de5d37
        - [PATCH 1/2] Fix compilation warnings on ppc64/ppc64le platforms (by Bhupesh Sharma) 0df157a
        - [PATCH] Make good use of is_cyclic_region() (by Atsushi Kumagai) 6bfd7a3
        - [PATCH] Fix the regression about getting kernel version (by Atsushi Kumagai) 254c116
        - [PATCH] Update maintainers (by Atsushi Kumagai) 9d3147e

  * Use multi-user.target. (LP: #1708409)
  * kdump-tools Recommends initramfs-tools-core.
  * Add myself as uploader.
  * Move Vcs control fields to salsa.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Tue, 06 Feb 2018 12:53:14 -0200

makedumpfile (1:1.6.2-2) unstable; urgency=medium

  [ dann frazier ]
  * Make the kdump kernel cmdline consistent in comments, code & docs.
  * Set reasonable default cmdlines for arm64.  (Closes: 883899)
  * ppc64el: Remove ata_piix.prefer_ms_hyperv=0 from crashkernel cmdline
  * ppc64el: add noirqdistrib to command line. (LP: #1658733)
  * Add myself to Uploaders.
  * Build-Depend on debhelper (>= 9.20160709) instead of dh-systemd,
    which is obsolete. Thanks lintian.

  [ Thadeu Lima de Souza Cascardo ]
  * Set crashkernel for ppc64el to load at 128M instead of 32M. That allows
    larger kernels to boot. (LP: #1728115)

 -- dann frazier <dannf@debian.org>  Fri, 12 Jan 2018 08:47:19 -0700

makedumpfile (1:1.6.2-1) unstable; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Add ucf support

    /etc/default/kdump-tools was already changed by the maintainer script,
    so it should not be a conffile. ucf allows the maintainer scripts to ask
    the user about changes done by the user to the config file.

    Invoking debconf first in the script is desired, because the frontend
    might exec and invoke the script itself again. Also, we install the
    generated file instead of the original file, as we will replace some of
    the settings.  (Closes: 877250)

 -- Louis Bouchard <louis@ubuntu.com>  Wed, 01 Nov 2017 14:50:26 +0100

makedumpfile (1:1.6.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  * New upstream release. Main new feature:
    o Support for sparc64
     - sparc64 is supported from this version, it's tested on kernel-4.1.12.

    o Add new option for --dump-dmesg
     - Introduce the new option "--partial-dmesg", it can exclude the buffers
       cleared by "dmesg --clear" while the current --dump-dmesg always extracts
       the whole ring buffer.

    o Support new kernels


=== debian/control ===
--- 
+++ 
@@ -2,11 +2,19 @@
 Section: devel
 Priority: optional
 Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
+Uploaders: dann frazier <dannf@debian.org>,
+ Thadeu Lima de Souza Cascardo <cascardo@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), libelf-dev, libz-dev, libdw-dev (>= 0.141-2ubuntu1),
-                libbz2-dev, liblzo2-dev, dh-systemd (>=1.5), po-debconf
-Vcs-Git: git://anonscm.debian.org/collab-maint/makedumpfile.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/makedumpfile.git
+Build-Depends: debhelper (>= 9),
+ libelf-dev,
+ libz-dev,
+ libdw-dev (>= 0.141-2ubuntu1),
+ libbz2-dev,
+ liblzo2-dev,
+ dh-systemd (>=1.5),
+ po-debconf
+Vcs-Git: https://salsa.debian.org/debian/makedumpfile.git
+Vcs-Browser: https://salsa.debian.org/debian/makedumpfile
 
 Package: makedumpfile
 Architecture: i386 amd64 powerpc ia64 x32 arm64 armel armhf ppc64el s390x
@@ -22,7 +30,8 @@
 Package: kdump-tools
 Architecture: i386 amd64 powerpc ia64 x32 arm64 armel armhf ppc64el s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, makedumpfile,
-         debconf, bsdmainutils, lsb-base (>= 3.0-6)
+         debconf, bsdmainutils, lsb-base (>= 3.0-6), file, ucf
+Recommends: initramfs-tools-core
 Description: scripts and tools for automating kdump (Linux crash dumps)
  kdump-tools provides an init script and a configuration script for
  automating the use of kdump.  It uses the makedumpfile utility to

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,15 @@
 	SUBSTVARS = -Vdist:Depends="kexec-tools (>= 1:2.0.10-2)"
 else
 	SUBSTVARS = -Vdist:Depends="kexec-tools"
+endif
+
+KDUMP_CMDLINE_APPEND = reset_devices nr_cpus=1 systemd.unit=kdump-tools-dump.service
+ifeq ($(DEB_HOST_ARCH),arm64)
+	# pass
+else ifeq ($(DEB_HOST_ARCH),ppc64el)
+	KDUMP_CMDLINE_APPEND += irqpoll noirqdistrib nousb
+else
+	KDUMP_CMDLINE_APPEND += irqpoll nousb ata_piix.prefer_ms_hyperv=0
 endif
 
 %:
@@ -16,7 +25,15 @@
 override_dh_auto_build:
 	dh_auto_build -- LINKTYPE=dynamic USELZO=on
 
-override_dh_install:
+kdump_cmdline_insert = sed "s/@KDUMP_CMDLINE_APPEND@/$(KDUMP_CMDLINE_APPEND)/" < $< > $@
+debian/kdump-config: debian/kdump-config.in
+	$(kdump_cmdline_insert)
+debian/kdump-tools.conf: debian/kdump-tools.conf.in
+	$(kdump_cmdline_insert)
+debian/kdump-tools.5: debian/kdump-tools.5.in
+	$(kdump_cmdline_insert)
+
+override_dh_install: debian/kdump-config debian/kdump-tools.conf debian/kdump-tools.5
 	dh_install
 	install -D -m 755 debian/kernel-postinst-generate-initrd debian/kdump-tools/etc/kernel/postinst.d/kdump-tools
 	install -D -m 755 debian/kernel-postrm-delete-initrd debian/kdump-tools/etc/kernel/postrm.d/kdump-tools
@@ -37,4 +54,5 @@
 
 override_dh_auto_clean:
 	rm -f debian/kdump-tools.maintscript
+	rm -f debian/kdump-config debian/kdump-tools.conf debian/kdump-tools.5
 	dh_auto_clean

## makedumpfile 1.6.4

=== debian/changelog ===
makedumpfile (1:1.6.4-2ubuntu1) cosmic; urgency=medium

  * Bump amd64 crashkernel from 384M-:128M to 512M-:196M. Other
    arches, like arm64 & ppc64el already use much higher minimum
    threshold of 2G. This needs to be revisited post release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Oct 2018 10:36:36 +0200

makedumpfile (1:1.6.4-2) unstable; urgency=medium

  * Ignore uninstalled kernels when doing the kernel postinst. (Closes: #904524)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Thu, 26 Jul 2018 10:02:40 -0300

makedumpfile (1:1.6.4-1) unstable; urgency=medium

  * New upstream release. Main new features:
    o 5-level paging support
      - 5-level paging on x86_64 system is supported from this version.

    o --mem-usage support for arm64
      - The makedumpfile --mem-usage option is now supported on arm64 system.
        And the option was also tested on ppc64 and s390x by Bhupesh Sharma.

    o Support new kernels
      - The supported kernel is updated to 4.17.0 in this version.

  * Changelog:
    o New feature
      - [PATCH v2 0/3] arm64: Add '--mem-usage' support (Bhupesh Sharma) f49ca13
      - [PATCH v2 1/3] Add a new helper file 'tools.c' that provides some useful APIs (Bhupesh Sharma) 4d86cc7
      - [PATCH v2 2/3] arm64: Add support to read symbols like _stext from '/proc/kallsyms' (Bhupesh Sharma) d1e7805
      - [PATCH v2 3/3] Documentation: Update documentation regarding --mem-usage' option (Bhupesh Sharma) 8449bda
      - [PATCH 0/4] Add 5-level paging support (Baoquan He) 342fdab
      - [PATCH 2/4] Add pgtable_l5_enabled to number_table (Baoquan He) 8ae6f36
      - [PATCH 3/4] Add a new function check_5level_paging() (Baoquan He) 33ca808
      - [PATCH 4/4] arch/x86_64: Add 5-level paging support (Dou Liyang) 30a3214
      - [PATCH] handle mem_section as either a pointer or an array (Thadeu Lima de Souza Cascardo) 14876c4
      - [PATCH] ppc64: Increase the VA range (Hari Bathini) bd1ae9c

    o Bugfix
      - [PATCH] sadump: Fix a problem of PTI enabled kernel (Takao Indoh) 38de12a
      - [PATCH] Fix a bug when multi-threads feature meets enospace (Zhou Wenjian) 63b05c9
      - [PATCH] Fix array index out of bound exception (Lianbo Jiang) e5f96e7
      - [PATCH] fix for hugepages filtering (Hari Bathini) 246801c
      - [PATCH v2] Use integer arithmetics for the progress bar (Petr Tesarik) c6b79cb
      - [PATCH 2/2] Check PG_swapbacked for swap cache pages (Petr Tesarik) ca1f31e
      - [PATCH] Fix -g for change of mem_section (Kazuhito Hagio) f3c87e0
      - [PATCH] Fix -i for KASLR (Kazuhito Hagio) 08db98c
      - [PATCH] Fix validate_mem_section() (Kazuhito Hagio) 8f1aafa
      - [PATCH] arm64: Fix calculation of page_offset in case we are running cases other than mem-usage (Bhupesh Sharma) cb7af5f

    o Cleanup
      - [PATCH v2] Always use bigger SECTION_MAP_MASK (Petr Tesarik) 6c6789f
      - [PATCH 1/2] Add is_cache_page() helper to check if a page belongs to the cache (Petr Tesarik) 694f28c
      - [PATCH 1/4] arch/x86_64: Cleanup the address translation of the 4-level page tables (Dou Liyang) acab2a2
      - [PATCH] Fix some compilation warnings on x86 system (Kazuhito Hagio) 2148e43
      - [PATCH] Update maintainers (Masaki Tachibana) bc7420b

  * Remove 0003-sparsemem_extreme.patch, applied upstream.
  * Update pt_PT debconf translation, thanks Rui Branco. (Closes: #898280)
  * Update ru debconf translation, thanks Lev Lamberov. (Closes: #883139)
  * Update da debconf translation, thanks Joe Dalton. (Closes: #856784)
  * Make ADT check for systemd service.
  * Skip test if crashkernel was not reserved.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Thu, 19 Jul 2018 16:34:06 -0300

## makedumpfile 1.6.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.6.3
-DATE=29 Jun 2018
+VERSION=1.6.5
+DATE=5 Dec 2018
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -46,7 +46,7 @@
 endif
 
 SRC_BASE = makedumpfile.c makedumpfile.h diskdump_mod.h sadump_mod.h sadump_info.h
-SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c cache.c
+SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c cache.c tools.c
 OBJ_PART=$(patsubst %.c,%.o,$(SRC_PART))
 SRC_ARCH = arch/arm.c arch/arm64.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c arch/sparc64.c
 OBJ_ARCH=$(patsubst %.c,%.o,$(SRC_ARCH))
@@ -67,6 +67,18 @@
 endif
 
 LIBS := -lpthread $(LIBS)
+
+try-run = $(shell set -e;		\
+	TMP=".$$$$.tmp";		\
+	if ($(1)) >/dev/null 2>&1;	\
+	then echo "$(2)";		\
+	else echo "$(3)";		\
+	fi;				\
+	rm -f "$$TMP")
+
+LINK_TEST_PROG="int clock_gettime(); int main(){ return clock_gettime(); }"
+LIBS := $(LIBS) $(call try-run,\
+	echo $(LINK_TEST_PROG) | $(CC) $(CFLAGS) -o "$$TMP" -x c -,,-lrt)
 
 all: makedumpfile

=== debian/changelog ===
makedumpfile (1:1.6.5-1ubuntu1.3) disco; urgency=medium

  [ Guilherme G. Piccoli ]
  * Add kdump retry/delay mechanism when dumping over network (LP: #1681909)

  [ Thadeu Lima de Souza Cascardo ]
  * Use maxcpus instead of nr_cpus on ppc64el. (LP: #1828597)
  * ppc64: increase MAX_PHYSMEM_BITS to 2PB (LP: #1841288)

  [ Connor Kuehl ]
  * Let the kernel decide the crashkernel offset for ppc64el (LP: #1741860) 

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 09 Oct 2019 15:33:57 -0300

makedumpfile (1:1.6.5-1ubuntu1) disco; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.

  [ Thadeu Lima de Souza Cascardo ]
  * Use a different service for vmcore dump. (LP: #1811692)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 14 Jan 2019 15:42:44 -0200

makedumpfile (1:1.6.5-1) unstable; urgency=medium

  * Update to new upstream version 1.6.5.
  * debian: remove debian/source/local-options
  * [i18n] Move PT debconf translation (Closes: #910465)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sat, 05 Jan 2019 09:01:02 -0200

makedumpfile (1:1.6.4-3) unstable; urgency=medium

  * Reload kdump after memory/CPU hotplug. (LP: #1655280)
  * Fix adding crashkernel to zipl.conf when no quotation mark is used.
    (LP: #1790788)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Tue, 16 Oct 2018 15:30:16 -0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: makedumpfile
 Section: devel
 Priority: optional
-Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XBSC-Original-Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
 Uploaders: dann frazier <dannf@debian.org>,
  Thadeu Lima de Souza Cascardo <cascardo@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160709),
  libelf-dev,
  libz-dev,
  libdw-dev (>= 0.141-2ubuntu1),
  libbz2-dev,
  liblzo2-dev,
- dh-systemd (>=1.5),
  po-debconf
 Vcs-Git: https://salsa.debian.org/debian/makedumpfile.git
 Vcs-Browser: https://salsa.debian.org/debian/makedumpfile
@@ -30,7 +30,7 @@
 Package: kdump-tools
 Architecture: i386 amd64 powerpc ia64 x32 arm64 armel armhf ppc64el s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, makedumpfile,
-         debconf, bsdmainutils, lsb-base (>= 3.0-6), file, ucf
+         debconf, bsdmainutils, lsb-base (>= 3.0-6), file, ucf, linux-base
 Recommends: initramfs-tools-core
 Description: scripts and tools for automating kdump (Linux crash dumps)
  kdump-tools provides an init script and a configuration script for

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,13 @@
 	SUBSTVARS = -Vdist:Depends="kexec-tools"
 endif
 
-KDUMP_CMDLINE_APPEND = reset_devices nr_cpus=1 systemd.unit=kdump-tools-dump.service
+KDUMP_CMDLINE_APPEND = systemd.unit=kdump-tools-dump.service
 ifeq ($(DEB_HOST_ARCH),arm64)
-	# pass
+	KDUMP_CMDLINE_APPEND += nr_cpus=1
 else ifeq ($(DEB_HOST_ARCH),ppc64el)
-	KDUMP_CMDLINE_APPEND += irqpoll noirqdistrib nousb
+	KDUMP_CMDLINE_APPEND += maxcpus=1 irqpoll noirqdistrib nousb
 else
-	KDUMP_CMDLINE_APPEND += irqpoll nousb ata_piix.prefer_ms_hyperv=0
+	KDUMP_CMDLINE_APPEND += nr_cpus=1 irqpoll nousb ata_piix.prefer_ms_hyperv=0
 endif
 
 %:

## makedumpfile 1.6.6

=== debian/changelog ===
makedumpfile (1:1.6.6-4) unstable; urgency=medium

  * Let the kernel decide the crashkernel offset for ppc64el (LP: #1741860)
  * kdump-config: implement try-reload
  * udev: hotplug: use try-reload
  * Set Rules-Requires-Root to no

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Wed, 18 Dec 2019 10:50:47 -0300

makedumpfile (1:1.6.6-3) unstable; urgency=medium

  * Add a reload command.
  * Use kdump-config reload after cpu or memory hotplug.
  * Use reset_devices as a cmdline parameter.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Wed, 18 Sep 2019 01:00:16 +0000

makedumpfile (1:1.6.6-2) unstable; urgency=medium

  [ Guilherme G. Piccoli ]
  * Add kdump retry/delay mechanism when dumping over network

  [ Thadeu Lima de Souza Cascardo ]
  * Use a different service for vmcore dump.
  * Use maxcpus instead of nr_cpus on ppc64el.
  * Reload kdump when CPU is brought online.
  * Allow proper reload of kdump after multiple hotplug events.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sat, 20 Jul 2019 11:25:01 -0300

makedumpfile (1:1.6.6-1) unstable; urgency=medium

  * Update to new upstream version 1.6.6.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Fri, 12 Jul 2019 16:24:14 -0300
